-- Hilfeanzeige zur Bedienung für FS17_MB_Sprinter
-- created by ===Sven===Danke-Sven-
-- Date: 05.2018
Help = {};

function Help.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(AnimatedVehicle, specializations);
end;

function Help:load(xmlFile)
	self.help = false;
end;

function Help:delete()
end;

function Help:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Help:keyEvent(unicode, sym, modifier, isDown)
end;

function Help:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_HELP) then
			self.help = not self.help;
		end;
	end;
end;

function Help:updateTick(dt)
end;

function Help:draw()
	if not self.help then
		renderText(0.85, 0.22, 0.018, "Tastenbelegung ein NP 0");
	 else
		renderText(0.85, 0.22, 0.018, "Tastenbelegung aus NP 0");
		
		renderText(0.80, 0.64, 0.018, "Autoload");
		renderText(0.80, 0.62, 0.018, "Ladegut wechseln............Taste = KP Y");
		renderText(0.80, 0.60, 0.018, "Arbeitsmodus an/aus.......Taste = KP X");
		renderText(0.80, 0.58, 0.018, "Abladeseite wählen..........Taste = KP B");
		renderText(0.80, 0.56, 0.018, "Marker links,rechts,Start..Taste = KP ,,.,M");
		renderText(0.80, 0.54, 0.018, "Marker auf/ab/Start..........Taste = KP J,N,M");
		renderText(0.80, 0.52, 0.018, "Abladen..............................Taste = KP Z");
		renderText(0.80, 0.48, 0.018, "Spanngurte an/ab........Taste = KP L");
		renderText(0.80, 0.46, 0.018, "Hecktüren auf/zu..........Taste = NP 8");
		renderText(0.80, 0.44, 0.018, "Fahrertür auf/zu...........Taste = NP 7");
		renderText(0.80, 0.42, 0.018, "Schiebetür auf/zu.........Taste = NP 4");
		renderText(0.80, 0.40, 0.018, "Beifahrertür auf/zu......Taste = NP 9");
		renderText(0.80, 0.34, 0.018, "Wenn Dachbox konfiguriert");		
		renderText(0.80, 0.32, 0.018, "Dachbox auf/zu.................Taste = KP B");		
		renderText(0.80, 0.30, 0.018, "Überbreite an/aus.............Taste = KP Z");		
		renderText(0.80, 0.28, 0.018, "Schwertransport an/aus...Taste = KP U");		
		renderText(0.80, 0.26, 0.018, "Fahrzeug zulassen.............Taste = Strg + Z");		
	end;
end;  

function Help:onLeave()
	self.help = false;
end;
